Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Not Solved Problem Including Global.php On Localhost
#1
Not Solved
I am currently integrating my website (well, trying to) with MyBB, but I haven't even gotten past including global.php because I get an error when I do.

Quote:MyBB has experienced an internal error and cannot continue.

Error Type:MyBB Error (42)Error Message:Your board has not yet been upgraded. Please do so before attempting to browse it.

As well as a bunch of warnings for Illegal String Offsets.

I literally JUST installed this forum locally probably an hour, there's no way it needs updated (although I did run the upgrade script just to see what would happen). Needless to say, the problem still persists. Anyone have any ideas?

EDIT: I do not get this error on the forum itself, only on the page I include the Global.php file in.

[Image: CP4PC12.png]


Reply
#2
Not Solved
Try fresh install ?

something broke while updating i.e on your local host
Reply
#3
Not Solved
Stand by.

Nope, did not work.

[Image: CP4PC12.png]


Reply
#4
Not Solved
That's very strange, by fresh install i say delete all old files and copy new mybb files and then start upgrade process !

Also make sure you drop old DB (database) from phpmyadmin.
Reply
#5
Not Solved
Quote:EDIT: I do not get this error on the forum itself, only on the page I include the Global.php file in.

Can you please show us what you are trying to do? global.php is a core file and is included on every page.
Reply
#6
Not Solved
(02-17-2016, 07:55 AM)boson Wrote: That's very strange, by fresh install i say delete all old files and copy new mybb files and then start upgrade process !

Also make sure you drop old DB (database) from phpmyadmin.

I know what fresh install means, i did just that.

(02-17-2016, 09:47 AM)nth Wrote:
Quote:EDIT: I do not get this error on the forum itself, only on the page I include the Global.php file in.

Can you please show us what you are trying to do? global.php is a core file and is included on every page.

I'm trying to integrate my website with MyBB using Dave's MyBBIntegrator Class.

1. The problem is not with the integrator class, I haven't even included it yet.
2. When I include global.php on an external page.

Forum:
/forum/

Page to include it one:
public_html/index.php

Code used to include global.php

require_once('forum/global.php');

[Image: CP4PC12.png]


Reply


Forum Jump:


Users browsing this thread: 1 Guest(s)